# li-menu-flyout-list

<!-- Auto Generated Below -->

## Properties

| Property        | Attribute         | Description                                                                                        | Type                                                                                | Default          |
| --------------- | ----------------- | -------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------- | ---------------- |
| `active`        | `active`          | 是否激活 {boolean}                                                                                 | `boolean`                                                                           | `false`          |
| `closeOnSelect` | `close-on-select` | 选择菜单项后，菜单是否关闭                                                                         | `boolean`                                                                           | `true`           |
| `direction`     | `direction`       | 菜单弹出方向 {('bottom-right' \| 'bottom-left' \| 'top-right' \| 'top-left' \| 'right' \| 'left')} | `"bottom-left" \| "bottom-right" \| "left" \| "right" \| "top-left" \| "top-right"` | `'bottom-right'` |
| `opened`        | `opened`          | 菜单是否打开 {boolean}                                                                             | `boolean`                                                                           | `false`          |
| `styles`        | `styles`          | 可选属性，注入的style {string}                                                                     | `string \| undefined`                                                               | `undefined`      |
| `trigger`       | --                | 触发事件的对象                                                                                     | `() => HTMLElement`                                                                 | `undefined`      |

## Events

| Event      | Description                                                       | Type                                  |
| ---------- | ----------------------------------------------------------------- | ------------------------------------- |
| `li-close` | 自定义关闭菜单事件： li-close {EventEmitter<{list: HTMLElement}>} | `CustomEvent<{ list: HTMLElement; }>` |
| `li-open`  | 自定义打开菜单事件：li-open {EventEmitter<{list: HTMLElement}>}   | `CustomEvent<{ list: HTMLElement; }>` |

## Methods

### `close(silent?: boolean) => Promise<void>`

关闭方法

#### Returns

Type: `Promise<void>`

### `open() => Promise<void>`

打开方法

#### Returns

Type: `Promise<void>`

### `setFocus() => Promise<void>`

设定焦点方法

#### Returns

Type: `Promise<void>`

## Shadow Parts

| Part     | Description |
| -------- | ----------- |
| `"base"` |             |

## Dependencies

### Used by

- [li-data-grid](../data-grid)

### Graph

```mermaid
graph TD;
  li-data-grid --> li-menu-flyout-list
  style li-menu-flyout-list fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with ITSI_
